## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jiter
%global _description %{summary}.

Name:           python-%{srcname}
Version:        0.10.0
Release:        %autorelease
Summary:        Fast iterable JSON parser

# python-jiter is MIT only, but the rest are rust libraries
# based on cargo_license_summary output:
#
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        %{shrink:
                (BSD-2-Clause OR Apache-2.0 OR MIT) AND
                MIT AND
                (MIT OR Apache-2.0)
                }
URL:            https://github.com/pydantic/jiter/
Source:         %{pypi_source %{srcname}}

BuildRequires:  python3-devel
BuildRequires:  tomcli

# For included rust code
BuildRequires:  cargo-rpm-macros

# For tests
BuildRequires:  python3dist(dirty-equals)
BuildRequires:  python3dist(pytest)

%description
%{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}
# There is no top-level LICENSE file, but the one from the bundled jiter crate
# is the correct license.
mv crates/jiter/LICENSE ./

# We want to use the system copy of the jiter crate, but we need the JSON data
# files from its benchmarks for testing the Python extension.
find crates/jiter -mindepth 1 -maxdepth 1 ! -name benches -exec rm -rv '{}' '+'
find crates/jiter/benches -type f ! -name '*.json' -print -delete

# E.g., for 0.5.0, this would allow 0.5.x.
tomcli set crates/jiter-python/Cargo.toml str dependencies.jiter.version "%{version}"
tomcli set crates/jiter-python/Cargo.toml del dependencies.jiter.path

# This feature only applies to Windows, and is hidden in our PyO3 packages.
# We can and should remove it with no consequence.
tomcli set pyproject.toml lists delitem \
    tool.maturin.features pyo3/generate-import-lib
tomcli set crates/jiter-python/Cargo.toml lists delitem \
    features.extension-module pyo3/generate-import-lib

%cargo_prep


%generate_buildrequires
%cargo_generate_buildrequires -a
%pyproject_buildrequires


%build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{srcname}


%check
%pyproject_check_import
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri May 23 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#2367125
- Fixes Python 3.14 support: fixes RHBZ#2366195

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.9.1-1
- Update to 0.9.1 (close RHBZ#2367098)

* Fri Apr 11 2025 Packit <hello@packit.dev> - 0.9.0-1
- Update to 0.9.0 upstream release
- Resolves: rhbz#2351236

* Fri Apr 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.1-3
- Expect maturin to handle license files

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Nov 16 2024 Packit <hello@packit.dev> - 0.7.1-1
- Update to 0.7.1 upstream release
- Resolves: rhbz#2317026

* Wed Oct 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.0-3
- Drop SONAME workaround; the fix is present in rust-1.81.0-4 and later

* Mon Sep 30 2024 Major Hayden <major@redhat.com> - 0.5.0-2
- Add packit config

* Mon Sep 30 2024 Major Hayden <major@redhat.com> - 0.5.0-1
- First package rhbz#2313784
## END: Generated by rpmautospec
